'use strict';

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = ".docusaurus-plugin-drawio {\n  width: 100%;\n  padding: 10px;\n  border: 1px solid #ccc;\n  text-align: center;\n  overflow-x: auto;\n}\n\nhtml[data-theme='dark'] .docusaurus-plugin-drawio {\n  background-color: #333;\n  color: #fff;\n}\n\n.docusaurus-plugin-drawio > div {\n  margin-left: auto;\n  margin-right: auto;\n  border: 1px solid transparent;\n  min-width: 180px;\n}\n";
styleInject(css_248z);

/* eslint-disable @typescript-eslint/no-non-null-assertion */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
var GraphViewer = window.GraphViewer;
var Drawio = function (_a) {
    var content = _a.content;
    console.log('content', content);
    var _b = React.useState('loading...'), tip = _b[0], setTip = _b[1];
    var el = React.useRef(null);
    React.useEffect(function () {
        if (!GraphViewer) {
            setTip('GraphViewer is not loaded');
            return;
        }
        if (!content) {
            setTip('drawio file is empty');
            return;
        }
        var data = {
            editable: '_blank',
            highlight: '#0000ff',
            nav: true,
            resize: true,
            toolbar: 'zoom lightbox',
            xml: content,
        };
        var json = JSON.stringify(data);
        el.current.dataset.mxgraph = json;
        setTip('');
        setTimeout(function () {
            GraphViewer.createViewerForElement(el.current);
        }, 0);
    }, []);
    return (React__default["default"].createElement("div", { className: "docusaurus-plugin-drawio" },
        React__default["default"].createElement("div", { className: "docusaurus-plugin-drawio__content", ref: el }, tip)));
};
var drawio = React.memo(Drawio);

module.exports = drawio;
